%def_enable shared
%def_disable static
%define debug no
%def_with pic
%def_disable rpath
%def_enable warnings
%def_disable profile
%def_enable dependency_tracking
%def_enable pch
%def_enable new_ldflags
%def_disable final
%def_disable closure
%def_disable nmcheck
%def_disable embedded
%def_disable qtopia
%def_disable mac
%def_enable mt
%def_enable threading
%def_enable nfs_hack
%def_with arts
#----------------------------------------------------------------------
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}

%define Name digiKam
Name: digikam
Version: 0.9.1
%define plugins_ver 0.9.1
Release: alt1.M40.2
Group: Graphics
Summary: A Photo Management Application for KDE
Summary(uk_UA.CP1251):     KDE
Summary(ru_RU.CP1251):     KDE
License: GPL
URL: http://www.digikam.org/
Source0: %name-%version.tar.bz2
Source1: %name-%version.ru.po
Patch: %name-0.9.0-include.patch
Requires: kdeaddons-konqueror

# Automatically added by buildreq on Wed Mar 07 2007
#BuildRequires: doxygen gcc-c++ graphviz imake kde-i18n-uk kdepim-devel libdnet-devel libgphoto2-devel libjasper-devel libjpeg-devel libkexiv2-devel libkipi-devel liblcms-devel libqscintilla-designer libsqlite3-devel libtiff-devel libXext-devel libXrender-devel libXt-devel linux-libc-headers packages-info-i18n-common qt3-designer qt3-doc-html qtcl xml-utils xorg-cf-files

BuildRequires: doxygen gcc-c++ imake imlib2-devel kdepim-devel
BuildRequires: libdnet-devel libgphoto2-devel libjpeg-devel libpng-devel
BuildRequires: libkexif-devel libkipi-devel libsqlite3-devel
BuildRequires: libtiff-devel libXext-devel libXrender-devel libXt-devel
BuildRequires: qt3-designer xml-utils xorg-cf-files
BuildRequires: libpng-devel liblcms-devel
BuildRequires: libjasper-devel >= 1.7.0
BuildRequires: libkexiv2-devel >= 0.1.0

%description
%Name is an easy to use and powerful digital photo management
application, which makes importing, organizing and manipulating digital
photos a "snap". An easy to use interface is provided to connect to
your digital camera, preview the images and download and/or delete
them.
%Name buildin image editor makes the common photo correction a
simple task. The image editor is extensible via plugins.
%Name can also make use of the KIPI image handling plugins to extend
it's capabilities even further for photo manipulations, import and
export, etc.

%description -l uk_UA.CP1251
%Name -   ,    
 ,    ,  
   "".   
  '    , 
    /  .
   %Name   
  .     
 .
%Name       KIPI
      , 
 ,  .

%description -l ru_RU.CP1251
%Name -   ,    
 ,   ,  
   "".  
      
,     /  .
   %Name  
   .   
   .
%Name       KIPI
      ,
  ,  .


%package devel
Group: Development/KDE and QT
Summary: Development files for %Name
Summary(uk_UA.CP1251):    %Name
Summary(ru_RU.CP1251):    %Name
Requires: %name = %version-%release

%description devel
Development files for %Name.

%description devel -l uk_UA.CP1251
   %Name.

%description devel -l ru_RU.CP1251
   %Name.


%prep
%setup -q
%patch -p1
find digikam/libs/lprof -type f -print0|xargs -0 %__subst 's/BOOL/LCMSBOOL/g'
install -m 0644 %SOURCE1 po/ru/%name.po


%build
%undefine __libtoolize
%configure \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{?debug:--enable-debug=%debug} \
    %{subst_with pic} \
    %{subst_enable rpath} \
    %{subst_enable warnings} \
    %{subst_enable profile} \
    %{subst_enable_to dependency_tracking dependency-tracking} \
    %{subst_enable pch} \
    %{subst_enable_to new_ldflags new-ldflags} \
    %{subst_enable final} \
    %{subst_enable closure} \
    %{subst_enable nmcheck} \
    %{subst_enable embedded} \
    %{subst_enable qtopia} \
    %{subst_enable mac} \
    %{subst_enable mt} \
    %{subst_enable threading} \
    %{subst_enable_to nfs_hack nfs-hack} \
    %{subst_enable gcc-hidden-visibility} \
    %{subst_with arts}

%make_build


%install
%make DESTDIR=%buildroot install

# menu
iconv -f cp1251 -t utf-8 >> %buildroot/%_desktopdir/kde/%name.desktop <<__MENU__
Comment[uk]=   KDE
GenericName[uk]= 
__MENU__
iconv -f cp1251 -t utf-8 >> %buildroot/%_desktopdir/kde/showfoto.desktop <<__MENU__
Comment[uk]=  %Name
GenericName[uk]= 
__MENU__

bzip --best --force --keep ChangeLog
%find_lang --with-kde %name


%post
%post_ldconfig
%update_menus


%postun
%postun_ldconfig
%clean_menus


%files -f %name.lang
%doc AUTHORS ChangeLog.* README TODO
%_bindir/*
%_libdir/lib%name.so*
%_datadir/apps/%name
%_datadir/apps/showfoto
%_datadir/apps/konqueror/servicemenus/*
%_datadir/services/*
%_datadir/servicetypes/*
%_iconsdir/*/*/apps/*
%_desktopdir/kde/%name.desktop
%_desktopdir/kde/showfoto.desktop
%_libdir/kde3/*.so
%_man1dir/*


%files devel
%doc HACKING
%_libdir/kde3/*.la
%_includedir/*


%changelog
* Wed Jan 23 2008 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.9.1-alt1.M40.2
- fixed build with liblcms 1.17

* Tue Jul 10 2007 Led <led@altlinux.ru> 0.9.1-alt1.M40.1
- updated ru.po (by Alexandre Prokoudine)

* Wed Mar 07 2007 Led <led@altlinux.ru> 0.9.1-alt1
- 0.9.1
- updated BuildRequires

* Wed Dec 20 2006 Led <led@altlinux.ru> 0.9.0-alt1
- fixed %name-0.9.0-include.patch

* Mon Dec 18 2006 Led <led@altlinux.ru> 0.9.0-alt0.1
- 0.9.0
- removed %name-0.8.0-kgamma.patch (fixed in upstream)
- added %name-0.9.0-include.patch

* Thu Nov 23 2006 Led <led@altlinux.ru> 0.8.2-alt0.1
- 0.8.2
- cleaned up spec
- removed separate uk translation (in upstream now)

* Thu Mar 16 2006 Led <led@altlinux.ru> 0.8.1-alt1
- 0.8.1
- added uk translation
- fix %name.desktop
- update %%description

* Thu Dec 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.8.0-alt1
- new version

* Wed Aug 17 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.3-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt1
- new version

* Tue Dec 07 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt1
- new version

* Tue Jul 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.2-alt1
- new version

* Wed May 12 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.1-alt1
- new version

* Mon Mar 22 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt1
- new version

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 0.5.1-alt4
- rebuild with new libexif

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt3
- rebuild with new libexif

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt2
- rebuild with new gphoto2 && KDE3.1

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt1
- build for ALT

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
